## org.apache.mahout.math.decomposer
Class SimpleEigenVerifier

    java.lang.Object
      org.apache.mahout.math.decomposer.SimpleEigenVerifier

All Implemented Interfaces:
  SingularVectorVerifier

Direct Known Subclasses:
  AsyncEigenVerifier

    public class SimpleEigenVerifier

extends Object
implements SingularVectorVerifier

Constructor Summary
`SimpleEigenVerifier()`

Method Summary
`EigenStatus` `verify(VectorIterable corpus, Vector vector)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleEigenVerifier

    public SimpleEigenVerifier()

Method Detail

### verify

    public EigenStatus verify(VectorIterable corpus,
                              Vector vector)

  Specified by:
    `verify` in interface `SingularVectorVerifier`

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.